Release Notes
=============

The release notes summarize what's new or changed in each Mesa release.

-  :doc:`22.3.3 release notes <relnotes/22.3.3>`
-  :doc:`22.3.2 release notes <relnotes/22.3.2>`
-  :doc:`22.3.1 release notes <relnotes/22.3.1>`
-  :doc:`22.3.0 release notes <relnotes/22.3.0>`
-  :doc:`22.2.4 release notes <relnotes/22.2.4>`
-  :doc:`22.2.3 release notes <relnotes/22.2.3>`
-  :doc:`22.2.2 release notes <relnotes/22.2.2>`
-  :doc:`22.2.1 release notes <relnotes/22.2.1>`
-  :doc:`22.2.0 release notes <relnotes/22.2.0>`
-  :doc:`22.1.7 release notes <relnotes/22.1.7>`
-  :doc:`22.1.6 release notes <relnotes/22.1.6>`
-  :doc:`22.1.5 release notes <relnotes/22.1.5>`
-  :doc:`22.1.4 release notes <relnotes/22.1.4>`
-  :doc:`22.1.3 release notes <relnotes/22.1.3>`
-  :doc:`22.1.2 release notes <relnotes/22.1.2>`
-  :doc:`21.3.9 release notes <relnotes/21.3.9>`
-  :doc:`22.0.5 release notes <relnotes/22.0.5>`
-  :doc:`22.1.1 release notes <relnotes/22.1.1>`
-  :doc:`22.0.4 release notes <relnotes/22.0.4>`
-  :doc:`22.1.0 release notes <relnotes/22.1.0>`
-  :doc:`22.0.3 release notes <relnotes/22.0.3>`
-  :doc:`22.0.2 release notes <relnotes/22.0.2>`
-  :doc:`22.0.1 release notes <relnotes/22.0.1>`
-  :doc:`21.3.8 release notes <relnotes/21.3.8>`
-  :doc:`22.0.0 release notes <relnotes/22.0.0>`
-  :doc:`21.3.7 release notes <relnotes/21.3.7>`
-  :doc:`21.3.6 release notes <relnotes/21.3.6>`
-  :doc:`21.3.5 release notes <relnotes/21.3.5>`
-  :doc:`21.3.4 release notes <relnotes/21.3.4>`
-  :doc:`21.3.3 release notes <relnotes/21.3.3>`
-  :doc:`21.3.2 release notes <relnotes/21.3.2>`
-  :doc:`21.3.1 release notes <relnotes/21.3.1>`
-  :doc:`21.2.6 release notes <relnotes/21.2.6>`
-  :doc:`21.3.0 release notes <relnotes/21.3.0>`
-  :doc:`21.2.5 release notes <relnotes/21.2.5>`
-  :doc:`21.2.4 release notes <relnotes/21.2.4>`
-  :doc:`21.2.3 release notes <relnotes/21.2.3>`
-  :doc:`21.2.2 release notes <relnotes/21.2.2>`
-  :doc:`21.1.8 release notes <relnotes/21.1.8>`
-  :doc:`21.1.7 release notes <relnotes/21.1.7>`
-  :doc:`21.2.0 release notes <relnotes/21.2.0>`
-  :doc:`21.1.6 release notes <relnotes/21.1.6>`
-  :doc:`21.1.5 release notes <relnotes/21.1.5>`
-  :doc:`21.1.4 release notes <relnotes/21.1.4>`
-  :doc:`21.1.3 release notes <relnotes/21.1.3>`
-  :doc:`21.1.2 release notes <relnotes/21.1.2>`
-  :doc:`21.1.1 release notes <relnotes/21.1.1>`
-  :doc:`21.1.0 release notes <relnotes/21.1.0>`
-  :doc:`21.0.3 release notes <relnotes/21.0.3>`
-  :doc:`21.0.2 release notes <relnotes/21.0.2>`
-  :doc:`21.0.1 release notes <relnotes/21.0.1>`
-  :doc:`20.3.5 release notes <relnotes/20.3.5>`
-  :doc:`21.0.0 release notes <relnotes/21.0.0>`
-  :doc:`20.3.4 release notes <relnotes/20.3.4>`
-  :doc:`20.3.3 release notes <relnotes/20.3.3>`
-  :doc:`20.3.2 release notes <relnotes/20.3.2>`
-  :doc:`20.2.6 release notes <relnotes/20.2.6>`
-  :doc:`20.3.1 release notes <relnotes/20.3.1>`
-  :doc:`20.2.5 release notes <relnotes/20.2.5>`
-  :doc:`20.2.4 release notes <relnotes/20.2.4>`
-  :doc:`20.3.0 release notes <relnotes/20.3.0>`
-  :doc:`20.2.3 release notes <relnotes/20.2.3>`
-  :doc:`20.2.2 release notes <relnotes/20.2.2>`
-  :doc:`20.1.10 release notes <relnotes/20.1.10>`
-  :doc:`20.2.1 release notes <relnotes/20.2.1>`
-  :doc:`20.2.0 release notes <relnotes/20.2.0>`
-  :doc:`20.1.9 release notes <relnotes/20.1.9>`
-  :doc:`20.1.8 release notes <relnotes/20.1.8>`
-  :doc:`20.1.7 release notes <relnotes/20.1.7>`
-  :doc:`20.1.6 release notes <relnotes/20.1.6>`
-  :doc:`20.1.5 release notes <relnotes/20.1.5>`
-  :doc:`20.1.4 release notes <relnotes/20.1.4>`
-  :doc:`20.1.3 release notes <relnotes/20.1.3>`
-  :doc:`20.1.2 release notes <relnotes/20.1.2>`
-  :doc:`20.0.8 release notes <relnotes/20.0.8>`
-  :doc:`20.1.1 release notes <relnotes/20.1.1>`
-  :doc:`20.1.0 release notes <relnotes/20.1.0>`
-  :doc:`20.0.7 release notes <relnotes/20.0.7>`
-  :doc:`20.0.6 release notes <relnotes/20.0.6>`
-  :doc:`20.0.5 release notes <relnotes/20.0.5>`
-  :doc:`20.0.4 release notes <relnotes/20.0.4>`
-  :doc:`20.0.3 release notes <relnotes/20.0.3>`
-  :doc:`20.0.2 release notes <relnotes/20.0.2>`
-  :doc:`19.3.5 release notes <relnotes/19.3.5>`
-  :doc:`20.0.1 release notes <relnotes/20.0.1>`
-  :doc:`20.0.0 release notes <relnotes/20.0.0>`
-  :doc:`19.3.4 release notes <relnotes/19.3.4>`
-  :doc:`19.3.3 release notes <relnotes/19.3.3>`
-  :doc:`19.3.2 release notes <relnotes/19.3.2>`
-  :doc:`19.2.8 release notes <relnotes/19.2.8>`
-  :doc:`19.3.1 release notes <relnotes/19.3.1>`
-  :doc:`19.3.0 release notes <relnotes/19.3.0>`
-  :doc:`19.2.7 release notes <relnotes/19.2.7>`
-  :doc:`19.2.6 release notes <relnotes/19.2.6>`
-  :doc:`19.2.5 release notes <relnotes/19.2.5>`
-  :doc:`19.2.4 release notes <relnotes/19.2.4>`
-  :doc:`19.2.3 release notes <relnotes/19.2.3>`
-  :doc:`19.2.2 release notes <relnotes/19.2.2>`
-  :doc:`19.1.8 release notes <relnotes/19.1.8>`
-  :doc:`19.2.1 release notes <relnotes/19.2.1>`
-  :doc:`19.2.0 release notes <relnotes/19.2.0>`
-  :doc:`19.1.7 release notes <relnotes/19.1.7>`
-  :doc:`19.1.6 release notes <relnotes/19.1.6>`
-  :doc:`19.1.5 release notes <relnotes/19.1.5>`
-  :doc:`19.1.4 release notes <relnotes/19.1.4>`
-  :doc:`19.1.3 release notes <relnotes/19.1.3>`
-  :doc:`19.1.2 release notes <relnotes/19.1.2>`
-  :doc:`19.0.8 release notes <relnotes/19.0.8>`
-  :doc:`19.1.1 release notes <relnotes/19.1.1>`
-  :doc:`19.0.7 release notes <relnotes/19.0.7>`
-  :doc:`19.1.0 release notes <relnotes/19.1.0>`
-  :doc:`19.0.6 release notes <relnotes/19.0.6>`
-  :doc:`19.0.5 release notes <relnotes/19.0.5>`
-  :doc:`19.0.4 release notes <relnotes/19.0.4>`
-  :doc:`19.0.3 release notes <relnotes/19.0.3>`
-  :doc:`19.0.2 release notes <relnotes/19.0.2>`
-  :doc:`18.3.6 release notes <relnotes/18.3.6>`
-  :doc:`19.0.1 release notes <relnotes/19.0.1>`
-  :doc:`18.3.5 release notes <relnotes/18.3.5>`
-  :doc:`19.0.0 release notes <relnotes/19.0.0>`
-  :doc:`18.3.4 release notes <relnotes/18.3.4>`
-  :doc:`18.3.3 release notes <relnotes/18.3.3>`
-  :doc:`18.3.2 release notes <relnotes/18.3.2>`
-  :doc:`18.2.8 release notes <relnotes/18.2.8>`
-  :doc:`18.2.7 release notes <relnotes/18.2.7>`
-  :doc:`18.3.1 release notes <relnotes/18.3.1>`
-  :doc:`18.3.0 release notes <relnotes/18.3.0>`
-  :doc:`18.2.6 release notes <relnotes/18.2.6>`
-  :doc:`18.2.5 release notes <relnotes/18.2.5>`
-  :doc:`18.2.4 release notes <relnotes/18.2.4>`
-  :doc:`18.2.3 release notes <relnotes/18.2.3>`
-  :doc:`18.2.2 release notes <relnotes/18.2.2>`
-  :doc:`18.1.9 release notes <relnotes/18.1.9>`
-  :doc:`18.2.1 release notes <relnotes/18.2.1>`
-  :doc:`18.2.0 release notes <relnotes/18.2.0>`
-  :doc:`18.1.8 release notes <relnotes/18.1.8>`
-  :doc:`18.1.7 release notes <relnotes/18.1.7>`
-  :doc:`18.1.6 release notes <relnotes/18.1.6>`
-  :doc:`18.1.5 release notes <relnotes/18.1.5>`
-  :doc:`18.1.4 release notes <relnotes/18.1.4>`
-  :doc:`18.1.3 release notes <relnotes/18.1.3>`
-  :doc:`18.1.2 release notes <relnotes/18.1.2>`
-  :doc:`18.0.5 release notes <relnotes/18.0.5>`
-  :doc:`18.1.1 release notes <relnotes/18.1.1>`
-  :doc:`18.1.0 release notes <relnotes/18.1.0>`
-  :doc:`18.0.4 release notes <relnotes/18.0.4>`
-  :doc:`18.0.3 release notes <relnotes/18.0.3>`
-  :doc:`18.0.2 release notes <relnotes/18.0.2>`
-  :doc:`18.0.1 release notes <relnotes/18.0.1>`
-  :doc:`17.3.9 release notes <relnotes/17.3.9>`
-  :doc:`17.3.8 release notes <relnotes/17.3.8>`
-  :doc:`18.0.0 release notes <relnotes/18.0.0>`
-  :doc:`17.3.7 release notes <relnotes/17.3.7>`
-  :doc:`17.3.6 release notes <relnotes/17.3.6>`
-  :doc:`17.3.5 release notes <relnotes/17.3.5>`
-  :doc:`17.3.4 release notes <relnotes/17.3.4>`
-  :doc:`17.3.3 release notes <relnotes/17.3.3>`
-  :doc:`17.3.2 release notes <relnotes/17.3.2>`
-  :doc:`17.2.8 release notes <relnotes/17.2.8>`
-  :doc:`17.3.1 release notes <relnotes/17.3.1>`
-  :doc:`17.2.7 release notes <relnotes/17.2.7>`
-  :doc:`17.3.0 release notes <relnotes/17.3.0>`
-  :doc:`17.2.6 release notes <relnotes/17.2.6>`
-  :doc:`17.2.5 release notes <relnotes/17.2.5>`
-  :doc:`17.2.4 release notes <relnotes/17.2.4>`
-  :doc:`17.2.3 release notes <relnotes/17.2.3>`
-  :doc:`17.2.2 release notes <relnotes/17.2.2>`
-  :doc:`17.1.10 release notes <relnotes/17.1.10>`
-  :doc:`17.2.1 release notes <relnotes/17.2.1>`
-  :doc:`17.1.9 release notes <relnotes/17.1.9>`
-  :doc:`17.2.0 release notes <relnotes/17.2.0>`
-  :doc:`17.1.8 release notes <relnotes/17.1.8>`
-  :doc:`17.1.7 release notes <relnotes/17.1.7>`
-  :doc:`17.1.6 release notes <relnotes/17.1.6>`
-  :doc:`17.1.5 release notes <relnotes/17.1.5>`
-  :doc:`17.1.4 release notes <relnotes/17.1.4>`
-  :doc:`17.1.3 release notes <relnotes/17.1.3>`
-  :doc:`17.1.2 release notes <relnotes/17.1.2>`
-  :doc:`17.0.7 release notes <relnotes/17.0.7>`
-  :doc:`17.1.1 release notes <relnotes/17.1.1>`
-  :doc:`17.0.6 release notes <relnotes/17.0.6>`
-  :doc:`17.1.0 release notes <relnotes/17.1.0>`
-  :doc:`17.0.5 release notes <relnotes/17.0.5>`
-  :doc:`17.0.4 release notes <relnotes/17.0.4>`
-  :doc:`17.0.3 release notes <relnotes/17.0.3>`
-  :doc:`17.0.2 release notes <relnotes/17.0.2>`
-  :doc:`13.0.6 release notes <relnotes/13.0.6>`
-  :doc:`17.0.1 release notes <relnotes/17.0.1>`
-  :doc:`13.0.5 release notes <relnotes/13.0.5>`
-  :doc:`17.0.0 release notes <relnotes/17.0.0>`
-  :doc:`13.0.4 release notes <relnotes/13.0.4>`
-  :doc:`12.0.6 release notes <relnotes/12.0.6>`
-  :doc:`13.0.3 release notes <relnotes/13.0.3>`
-  :doc:`12.0.5 release notes <relnotes/12.0.5>`
-  :doc:`13.0.2 release notes <relnotes/13.0.2>`
-  :doc:`13.0.1 release notes <relnotes/13.0.1>`
-  :doc:`12.0.4 release notes <relnotes/12.0.4>`
-  :doc:`13.0.0 release notes <relnotes/13.0.0>`
-  :doc:`12.0.3 release notes <relnotes/12.0.3>`
-  :doc:`12.0.2 release notes <relnotes/12.0.2>`
-  :doc:`12.0.1 release notes <relnotes/12.0.1>`
-  :doc:`12.0.0 release notes <relnotes/12.0.0>`
-  :doc:`11.2.2 release notes <relnotes/11.2.2>`
-  :doc:`11.1.4 release notes <relnotes/11.1.4>`
-  :doc:`11.2.1 release notes <relnotes/11.2.1>`
-  :doc:`11.1.3 release notes <relnotes/11.1.3>`
-  :doc:`11.2.0 release notes <relnotes/11.2.0>`
-  :doc:`11.1.2 release notes <relnotes/11.1.2>`
-  :doc:`11.0.9 release notes <relnotes/11.0.9>`
-  :doc:`11.1.1 release notes <relnotes/11.1.1>`
-  :doc:`11.0.8 release notes <relnotes/11.0.8>`
-  :doc:`11.1.0 release notes <relnotes/11.1.0>`
-  :doc:`11.0.7 release notes <relnotes/11.0.7>`
-  :doc:`11.0.6 release notes <relnotes/11.0.6>`
-  :doc:`11.0.5 release notes <relnotes/11.0.5>`
-  :doc:`11.0.4 release notes <relnotes/11.0.4>`
-  :doc:`11.0.3 release notes <relnotes/11.0.3>`
-  :doc:`10.6.9 release notes <relnotes/10.6.9>`
-  :doc:`11.0.2 release notes <relnotes/11.0.2>`
-  :doc:`11.0.1 release notes <relnotes/11.0.1>`
-  :doc:`10.6.8 release notes <relnotes/10.6.8>`
-  :doc:`11.0.0 release notes <relnotes/11.0.0>`
-  :doc:`10.6.7 release notes <relnotes/10.6.7>`
-  :doc:`10.6.6 release notes <relnotes/10.6.6>`
-  :doc:`10.6.5 release notes <relnotes/10.6.5>`
-  :doc:`10.6.4 release notes <relnotes/10.6.4>`
-  :doc:`10.6.3 release notes <relnotes/10.6.3>`
-  :doc:`10.6.2 release notes <relnotes/10.6.2>`
-  :doc:`10.5.9 release notes <relnotes/10.5.9>`
-  :doc:`10.6.1 release notes <relnotes/10.6.1>`
-  :doc:`10.5.8 release notes <relnotes/10.5.8>`
-  :doc:`10.6.0 release notes <relnotes/10.6.0>`
-  :doc:`10.5.7 release notes <relnotes/10.5.7>`
-  :doc:`10.5.6 release notes <relnotes/10.5.6>`
-  :doc:`10.5.5 release notes <relnotes/10.5.5>`
-  :doc:`10.5.4 release notes <relnotes/10.5.4>`
-  :doc:`10.5.3 release notes <relnotes/10.5.3>`
-  :doc:`10.5.2 release notes <relnotes/10.5.2>`
-  :doc:`10.4.7 release notes <relnotes/10.4.7>`
-  :doc:`10.5.1 release notes <relnotes/10.5.1>`
-  :doc:`10.5.0 release notes <relnotes/10.5.0>`
-  :doc:`10.4.6 release notes <relnotes/10.4.6>`
-  :doc:`10.4.5 release notes <relnotes/10.4.5>`
-  :doc:`10.4.4 release notes <relnotes/10.4.4>`
-  :doc:`10.4.3 release notes <relnotes/10.4.3>`
-  :doc:`10.4.2 release notes <relnotes/10.4.2>`
-  :doc:`10.3.7 release notes <relnotes/10.3.7>`
-  :doc:`10.4.1 release notes <relnotes/10.4.1>`
-  :doc:`10.3.6 release notes <relnotes/10.3.6>`
-  :doc:`10.4 release notes <relnotes/10.4>`
-  :doc:`10.3.5 release notes <relnotes/10.3.5>`
-  :doc:`10.3.4 release notes <relnotes/10.3.4>`
-  :doc:`10.3.3 release notes <relnotes/10.3.3>`
-  :doc:`10.3.2 release notes <relnotes/10.3.2>`
-  :doc:`10.3.1 release notes <relnotes/10.3.1>`
-  :doc:`10.2.9 release notes <relnotes/10.2.9>`
-  :doc:`10.3 release notes <relnotes/10.3>`
-  :doc:`10.2.8 release notes <relnotes/10.2.8>`
-  :doc:`10.2.7 release notes <relnotes/10.2.7>`
-  :doc:`10.2.6 release notes <relnotes/10.2.6>`
-  :doc:`10.2.5 release notes <relnotes/10.2.5>`
-  :doc:`10.2.4 release notes <relnotes/10.2.4>`
-  :doc:`10.2.3 release notes <relnotes/10.2.3>`
-  :doc:`10.2.2 release notes <relnotes/10.2.2>`
-  :doc:`10.2.1 release notes <relnotes/10.2.1>`
-  :doc:`10.2 release notes <relnotes/10.2>`
-  :doc:`10.1.6 release notes <relnotes/10.1.6>`
-  :doc:`10.1.5 release notes <relnotes/10.1.5>`
-  :doc:`10.1.4 release notes <relnotes/10.1.4>`
-  :doc:`10.1.3 release notes <relnotes/10.1.3>`
-  :doc:`10.1.2 release notes <relnotes/10.1.2>`
-  :doc:`10.1.1 release notes <relnotes/10.1.1>`
-  :doc:`10.1 release notes <relnotes/10.1>`
-  :doc:`10.0.5 release notes <relnotes/10.0.5>`
-  :doc:`10.0.4 release notes <relnotes/10.0.4>`
-  :doc:`10.0.3 release notes <relnotes/10.0.3>`
-  :doc:`10.0.2 release notes <relnotes/10.0.2>`
-  :doc:`10.0.1 release notes <relnotes/10.0.1>`
-  :doc:`10.0 release notes <relnotes/10.0>`
-  :doc:`9.2.5 release notes <relnotes/9.2.5>`
-  :doc:`9.2.4 release notes <relnotes/9.2.4>`
-  :doc:`9.2.3 release notes <relnotes/9.2.3>`
-  :doc:`9.2.2 release notes <relnotes/9.2.2>`
-  :doc:`9.2.1 release notes <relnotes/9.2.1>`
-  :doc:`9.2 release notes <relnotes/9.2>`
-  :doc:`9.1.7 release notes <relnotes/9.1.7>`
-  :doc:`9.1.6 release notes <relnotes/9.1.6>`
-  :doc:`9.1.5 release notes <relnotes/9.1.5>`
-  :doc:`9.1.4 release notes <relnotes/9.1.4>`
-  :doc:`9.1.3 release notes <relnotes/9.1.3>`
-  :doc:`9.1.2 release notes <relnotes/9.1.2>`
-  :doc:`9.1.1 release notes <relnotes/9.1.1>`
-  :doc:`9.1 release notes <relnotes/9.1>`
-  :doc:`9.0.3 release notes <relnotes/9.0.3>`
-  :doc:`9.0.2 release notes <relnotes/9.0.2>`
-  :doc:`9.0.1 release notes <relnotes/9.0.1>`
-  :doc:`9.0 release notes <relnotes/9.0>`
-  :doc:`8.0.5 release notes <relnotes/8.0.5>`
-  :doc:`8.0.4 release notes <relnotes/8.0.4>`
-  :doc:`8.0.3 release notes <relnotes/8.0.3>`
-  :doc:`8.0.2 release notes <relnotes/8.0.2>`
-  :doc:`8.0.1 release notes <relnotes/8.0.1>`
-  :doc:`8.0 release notes <relnotes/8.0>`
-  :doc:`7.11.2 release notes <relnotes/7.11.2>`
-  :doc:`7.11.1 release notes <relnotes/7.11.1>`
-  :doc:`7.11 release notes <relnotes/7.11>`
-  :doc:`7.10.3 release notes <relnotes/7.10.3>`
-  :doc:`7.10.2 release notes <relnotes/7.10.2>`
-  :doc:`7.10.1 release notes <relnotes/7.10.1>`
-  :doc:`7.10 release notes <relnotes/7.10>`
-  :doc:`7.9.2 release notes <relnotes/7.9.2>`
-  :doc:`7.9.1 release notes <relnotes/7.9.1>`
-  :doc:`7.9 release notes <relnotes/7.9>`
-  :doc:`7.8.3 release notes <relnotes/7.8.3>`
-  :doc:`7.8.2 release notes <relnotes/7.8.2>`
-  :doc:`7.8.1 release notes <relnotes/7.8.1>`
-  :doc:`7.8 release notes <relnotes/7.8>`
-  :doc:`7.7.1 release notes <relnotes/7.7.1>`
-  :doc:`7.7 release notes <relnotes/7.7>`
-  :doc:`7.6.1 release notes <relnotes/7.6.1>`
-  :doc:`7.6 release notes <relnotes/7.6>`
-  :doc:`7.5.2 release notes <relnotes/7.5.2>`
-  :doc:`7.5.1 release notes <relnotes/7.5.1>`
-  :doc:`7.5 release notes <relnotes/7.5>`
-  :doc:`7.4.4 release notes <relnotes/7.4.4>`
-  :doc:`7.4.3 release notes <relnotes/7.4.3>`
-  :doc:`7.4.2 release notes <relnotes/7.4.2>`
-  :doc:`7.4.1 release notes <relnotes/7.4.1>`
-  :doc:`7.4 release notes <relnotes/7.4>`
-  :doc:`7.3 release notes <relnotes/7.3>`
-  :doc:`7.2 release notes <relnotes/7.2>`
-  :doc:`7.1 release notes <relnotes/7.1>`
-  :doc:`7.0.4 release notes <relnotes/7.0.4>`
-  :doc:`7.0.3 release notes <relnotes/7.0.3>`
-  :doc:`7.0.2 release notes <relnotes/7.0.2>`
-  :doc:`7.0.1 release notes <relnotes/7.0.1>`
-  :doc:`7.0 release notes <relnotes/7.0>`
-  :doc:`6.5.3 release notes <relnotes/6.5.3>`
-  :doc:`6.5.2 release notes <relnotes/6.5.2>`
-  :doc:`6.5.1 release notes <relnotes/6.5.1>`
-  :doc:`6.5 release notes <relnotes/6.5>`
-  :doc:`6.4.2 release notes <relnotes/6.4.2>`
-  :doc:`6.4.1 release notes <relnotes/6.4.1>`
-  :doc:`6.4 release notes <relnotes/6.4>`

Versions of Mesa prior to 6.4 are summarized in the following
release notes, or in the `old docs`_.

-  `6.3.2 release notes <relnotes/6.3.2>`__
-  `6.3.1 release notes <relnotes/6.3.1>`__
-  `6.3 release notes <relnotes/6.3>`__
-  `6.2.1 release notes <relnotes/6.2.1>`__
-  `6.2 release notes <relnotes/6.2>`__
-  `6.1 release notes <relnotes/6.1>`__
-  `6.0.1 release notes <relnotes/6.0.1>`__
-  `6.0 release notes <relnotes/6.0>`__
-  `5.1 release notes <relnotes/5.1>`__
-  `5.0.2 release notes <relnotes/5.0.2>`__
-  `5.0.1 release notes <relnotes/5.0.1>`__
-  `5.0 release notes <relnotes/5.0>`__
-  `4.1 release notes <relnotes/4.1>`__
-  `4.0.3 release notes <relnotes/4.0.3>`__
-  `4.0.2 release notes <relnotes/4.0.2>`__
-  `4.0.1 release notes <relnotes/4.0.1>`__
-  `4.0 release notes <relnotes/4.0>`__
-  `3.5 release notes <relnotes/3.5>`__
-  `3.4.2 release notes <relnotes/3.4.2>`__
-  `3.4.1 release notes <relnotes/3.4.1>`__
-  `3.4 release notes <relnotes/3.4>`__
-  `3.3 release notes <relnotes/3.3>`__
-  `3.2.1 release notes <relnotes/3.2.1>`__
-  `3.2 release notes <relnotes/3.2>`__
-  `3.1 release notes <relnotes/3.1>`__

.. toctree::
   :maxdepth: 1
   :hidden:

   relnotes/22.3.3
   relnotes/22.3.2
   relnotes/22.3.1
   relnotes/22.3.0
   relnotes/22.2.4
   relnotes/22.2.3
   relnotes/22.2.2
   relnotes/22.2.1
   relnotes/22.2.0
   relnotes/22.1.7
   relnotes/22.1.6
   relnotes/22.1.5
   relnotes/22.1.4
   relnotes/22.1.3
   relnotes/22.1.2
   relnotes/21.3.9
   relnotes/22.0.5
   relnotes/22.1.1
   relnotes/22.0.4
   relnotes/22.1.0
   relnotes/22.0.3
   relnotes/22.0.2
   relnotes/22.0.1
   relnotes/21.3.8
   relnotes/22.0.0
   relnotes/21.3.7
   relnotes/21.3.6
   relnotes/21.3.5
   relnotes/21.3.4
   relnotes/21.3.3
   relnotes/21.3.2
   relnotes/21.3.1
   relnotes/21.2.6
   relnotes/21.3.0
   relnotes/21.2.5
   relnotes/21.2.4
   relnotes/21.2.3
   relnotes/21.2.2
   relnotes/21.1.8
   relnotes/21.1.7
   relnotes/21.2.0
   relnotes/21.1.6
   relnotes/21.1.5
   relnotes/21.1.4
   relnotes/21.1.3
   relnotes/21.1.2
   relnotes/21.1.1
   relnotes/21.1.0
   relnotes/21.0.3
   relnotes/21.0.2
   relnotes/21.0.1
   relnotes/20.3.5
   relnotes/21.0.0
   relnotes/20.3.4
   relnotes/20.3.3
   relnotes/20.3.2
   relnotes/20.2.6
   relnotes/20.3.1
   relnotes/20.2.5
   relnotes/20.2.4
   relnotes/20.3.0
   relnotes/20.2.3
   relnotes/20.2.2
   relnotes/20.1.10
   relnotes/20.2.1
   relnotes/20.2.0
   relnotes/20.1.9
   relnotes/20.1.8
   relnotes/20.1.7
   relnotes/20.1.6
   relnotes/20.1.5
   relnotes/20.1.4
   relnotes/20.1.3
   relnotes/20.1.2
   relnotes/20.0.8
   relnotes/20.1.1
   relnotes/20.1.0
   relnotes/20.0.7
   relnotes/20.0.6
   relnotes/20.0.5
   relnotes/20.0.4
   relnotes/20.0.3
   relnotes/20.0.2
   relnotes/19.3.5
   relnotes/20.0.1
   relnotes/20.0.0
   relnotes/19.3.4
   relnotes/19.3.3
   relnotes/19.3.2
   relnotes/19.2.8
   relnotes/19.3.1
   relnotes/19.3.0
   relnotes/19.2.7
   relnotes/19.2.6
   relnotes/19.2.5
   relnotes/19.2.4
   relnotes/19.2.3
   relnotes/19.2.2
   relnotes/19.1.8
   relnotes/19.2.1
   relnotes/19.2.0
   relnotes/19.1.7
   relnotes/19.1.6
   relnotes/19.1.5
   relnotes/19.1.4
   relnotes/19.1.3
   relnotes/19.1.2
   relnotes/19.0.8
   relnotes/19.1.1
   relnotes/19.0.7
   relnotes/19.1.0
   relnotes/19.0.6
   relnotes/19.0.5
   relnotes/19.0.4
   relnotes/19.0.3
   relnotes/19.0.2
   relnotes/18.3.6
   relnotes/19.0.1
   relnotes/18.3.5
   relnotes/19.0.0
   relnotes/18.3.4
   relnotes/18.3.3
   relnotes/18.3.2
   relnotes/18.2.8
   relnotes/18.2.7
   relnotes/18.3.1
   relnotes/18.3.0
   relnotes/18.2.6
   relnotes/18.2.5
   relnotes/18.2.4
   relnotes/18.2.3
   relnotes/18.2.2
   relnotes/18.1.9
   relnotes/18.2.1
   relnotes/18.2.0
   relnotes/18.1.8
   relnotes/18.1.7
   relnotes/18.1.6
   relnotes/18.1.5
   relnotes/18.1.4
   relnotes/18.1.3
   relnotes/18.1.2
   relnotes/18.0.5
   relnotes/18.1.1
   relnotes/18.1.0
   relnotes/18.0.4
   relnotes/18.0.3
   relnotes/18.0.2
   relnotes/18.0.1
   relnotes/17.3.9
   relnotes/17.3.8
   relnotes/18.0.0
   relnotes/17.3.7
   relnotes/17.3.6
   relnotes/17.3.5
   relnotes/17.3.4
   relnotes/17.3.3
   relnotes/17.3.2
   relnotes/17.2.8
   relnotes/17.3.1
   relnotes/17.2.7
   relnotes/17.3.0
   relnotes/17.2.6
   relnotes/17.2.5
   relnotes/17.2.4
   relnotes/17.2.3
   relnotes/17.2.2
   relnotes/17.1.10
   relnotes/17.2.1
   relnotes/17.1.9
   relnotes/17.2.0
   relnotes/17.1.8
   relnotes/17.1.7
   relnotes/17.1.6
   relnotes/17.1.5
   relnotes/17.1.4
   relnotes/17.1.3
   relnotes/17.1.2
   relnotes/17.0.7
   relnotes/17.1.1
   relnotes/17.0.6
   relnotes/17.1.0
   relnotes/17.0.5
   relnotes/17.0.4
   relnotes/17.0.3
   relnotes/17.0.2
   relnotes/13.0.6
   relnotes/17.0.1
   relnotes/13.0.5
   relnotes/17.0.0
   relnotes/13.0.4
   relnotes/12.0.6
   relnotes/13.0.3
   relnotes/12.0.5
   relnotes/13.0.2
   relnotes/13.0.1
   relnotes/12.0.4
   relnotes/13.0.0
   relnotes/12.0.3
   relnotes/12.0.2
   relnotes/12.0.1
   relnotes/12.0.0
   relnotes/11.2.2
   relnotes/11.1.4
   relnotes/11.2.1
   relnotes/11.1.3
   relnotes/11.2.0
   relnotes/11.1.2
   relnotes/11.0.9
   relnotes/11.1.1
   relnotes/11.0.8
   relnotes/11.1.0
   relnotes/11.0.7
   relnotes/11.0.6
   relnotes/11.0.5
   relnotes/11.0.4
   relnotes/11.0.3
   relnotes/10.6.9
   relnotes/11.0.2
   relnotes/11.0.1
   relnotes/10.6.8
   relnotes/11.0.0
   relnotes/10.6.7
   relnotes/10.6.6
   relnotes/10.6.5
   relnotes/10.6.4
   relnotes/10.6.3
   relnotes/10.6.2
   relnotes/10.5.9
   relnotes/10.6.1
   relnotes/10.5.8
   relnotes/10.6.0
   relnotes/10.5.7
   relnotes/10.5.6
   relnotes/10.5.5
   relnotes/10.5.4
   relnotes/10.5.3
   relnotes/10.5.2
   relnotes/10.4.7
   relnotes/10.5.1
   relnotes/10.5.0
   relnotes/10.4.6
   relnotes/10.4.5
   relnotes/10.4.4
   relnotes/10.4.3
   relnotes/10.4.2
   relnotes/10.3.7
   relnotes/10.4.1
   relnotes/10.3.6
   relnotes/10.4
   relnotes/10.3.5
   relnotes/10.3.4
   relnotes/10.3.3
   relnotes/10.3.2
   relnotes/10.3.1
   relnotes/10.2.9
   relnotes/10.3
   relnotes/10.2.8
   relnotes/10.2.7
   relnotes/10.2.6
   relnotes/10.2.5
   relnotes/10.2.4
   relnotes/10.2.3
   relnotes/10.2.2
   relnotes/10.2.1
   relnotes/10.2
   relnotes/10.1.6
   relnotes/10.1.5
   relnotes/10.1.4
   relnotes/10.1.3
   relnotes/10.1.2
   relnotes/10.1.1
   relnotes/10.1
   relnotes/10.0.5
   relnotes/10.0.4
   relnotes/10.0.3
   relnotes/10.0.2
   relnotes/10.0.1
   relnotes/10.0
   relnotes/9.2.5
   relnotes/9.2.4
   relnotes/9.2.3
   relnotes/9.2.2
   relnotes/9.2.1
   relnotes/9.2
   relnotes/9.1.7
   relnotes/9.1.6
   relnotes/9.1.5
   relnotes/9.1.4
   relnotes/9.1.3
   relnotes/9.1.2
   relnotes/9.1.1
   relnotes/9.1
   relnotes/9.0.3
   relnotes/9.0.2
   relnotes/9.0.1
   relnotes/9.0
   relnotes/8.0.5
   relnotes/8.0.4
   relnotes/8.0.3
   relnotes/8.0.2
   relnotes/8.0.1
   relnotes/8.0
   relnotes/7.11.2
   relnotes/7.11.1
   relnotes/7.11
   relnotes/7.10.3
   relnotes/7.10.2
   relnotes/7.10.1
   relnotes/7.10
   relnotes/7.9.2
   relnotes/7.9.1
   relnotes/7.9
   relnotes/7.8.3
   relnotes/7.8.2
   relnotes/7.8.1
   relnotes/7.8
   relnotes/7.7.1
   relnotes/7.7
   relnotes/7.6.1
   relnotes/7.6
   relnotes/7.5.2
   relnotes/7.5.1
   relnotes/7.5
   relnotes/7.4.4
   relnotes/7.4.3
   relnotes/7.4.2
   relnotes/7.4.1
   relnotes/7.4
   relnotes/7.3
   relnotes/7.2
   relnotes/7.1
   relnotes/7.0.4
   relnotes/7.0.3
   relnotes/7.0.2
   relnotes/7.0.1
   relnotes/7.0
   relnotes/6.5.3
   relnotes/6.5.2
   relnotes/6.5.1
   relnotes/6.5
   relnotes/6.4.2
   relnotes/6.4.1
   relnotes/6.4

.. _old docs: https://gitlab.freedesktop.org/mesa/mesa/-/blob/mesa-21.0.0/docs/versions.rst
